SessionStatisticsImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.stat.internal
Class SessionStatisticsImpl

    java.lang.Object
      org.hibernate.stat.internal.SessionStatisticsImpl

All Implemented Interfaces:
  SessionStatistics

    public class SessionStatisticsImpl

extends Object
implements SessionStatistics

Constructor Summary
`SessionStatisticsImpl(SessionImplementor session)`

Method Summary
`int` | `getCollectionCount()` Get the number of collection instances associated with the session
`Set` | `getCollectionKeys()` Get the set of all `CollectionKey`s
`int` | `getEntityCount()` Get the number of entity instances associated with the session
`Set` | `getEntityKeys()` Get the set of all `EntityKey`s
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionStatisticsImpl

    public SessionStatisticsImpl(SessionImplementor session)

Method Detail

### getEntityCount

    public int getEntityCount()

  Description copied from interface: `SessionStatistics`
  Get the number of entity instances associated with the session

  Specified by:
    `getEntityCount` in interface `SessionStatistics`

### getCollectionCount

    public int getCollectionCount()

  Description copied from interface: `SessionStatistics`
  Get the number of collection instances associated with the session

  Specified by:
    `getCollectionCount` in interface `SessionStatistics`

### getEntityKeys

    public Set getEntityKeys()

  Description copied from interface: `SessionStatistics`
  Get the set of all `EntityKey`s

  Specified by:
    `getEntityKeys` in interface `SessionStatistics`
  See Also:
    `EntityKey`

### getCollectionKeys

    public Set getCollectionKeys()

  Description copied from interface: `SessionStatistics`
  Get the set of all `CollectionKey`s

  Specified by:
    `getCollectionKeys` in interface `SessionStatistics`
  See Also:
    `CollectionKey`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.